Fork me on GitHub"

# skbio.sequence.RNA.index

RNA.index(subsequence, start=None, end=None)

  Find position where subsequence first occurs in the sequence.

  State: Stable as of 0.4.0.

  Parameters:

    - subsequence (str, Sequence, or 1D np.ndarray (np.uint8 or '|S1')) – Subsequence to search for in this sequence.

    - start (int, optional) – The position at which to start searching (inclusive).

    - end (int, optional) – The position at which to stop searching (exclusive).

  Returns:

    Position where subsequence first occurs in this sequence.

  Return type:

    int

  Raises:

    - ValueError – If subsequence is not present in this sequence.

    - TypeError – If subsequence is a `Sequence` object with a different type than this sequence.

  Examples

      >>> from skbio import Sequence
      >>> s = Sequence('ACACGACGTT-')
      >>> s.index('ACG')
      2